# Generated by Django 2.2.15 on 2020-08-11 19:44

from django.db import migrations
from django.contrib.auth.management import create_permissions


# Ensures that the new permissions are added to the database so that they can
# be assigned during migrations
# based off of https://stackoverflow.com/a/40092780
def initialize_permissions(apps, schema_editor):
    for app_config in apps.get_app_configs():
        app_config.models_module = True
        create_permissions(app_config, apps=apps, verbosity=0)
        app_config.models_module = None


class Migration(migrations.Migration):

    dependencies = [
        ('galaxy', '0036_repository_labels'),
        ('ansible', '0049_rbac_permissions'),
    ]

    # Initialize the permissions created in 0049_rbac_permissions. This prevents
    # the task that updates the role permissions from breaking, since app permissions
    # get initialized after roles are
    operations = [
        migrations.RunPython(
            code=initialize_permissions,
        ),
    ]
