# Generated by Django 4.2.6 on 2023-10-31 12:58

from django.db import migrations, models
import django.utils.timezone


def set_default_timestamps(apps, schema_editor):
    Namespace = apps.get_model('galaxy', 'Namespace')
    for obj in Namespace.objects.all():
        changed = False
        if not obj.created:
            obj.created = django.utils.timezone.now()
            changed = True
        if not obj.updated:
            obj.updated = django.utils.timezone.now()
            changed = True
        if changed:
            obj.save()


class Migration(migrations.Migration):
    dependencies = [
        ("galaxy", "0041_alter_containerregistryremote_remote_ptr"),
    ]

    operations = [
        migrations.AddField(
            model_name="namespace",
            name="created",
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="namespace",
            name="updated",
            field=models.DateTimeField(auto_now=True),
        ),
        migrations.RunPython(set_default_timestamps),
    ]
